package com.zipcodewilmington.bankaccountlab;

public abstract class Account {
    private int balance;

    public Account(int balance) {
        this.balance = balance;
    }

    public Account addBalance(int moreMoney) {
        this.balance += moreMoney;
        return this;
    }

    public Account subtractBalance(int lessMoney) {
        this.balance -= lessMoney;
        return this;
    }

    public int getBalance() {
        return this.balance;
    }

    public abstract boolean withdrawBalance(int withdrawalAmount);
}
