package com.zipcodewilmington.bankaccountlab;

import org.junit.Before;
import org.junit.Test;

import static org.junit.Assert.*;

public class SavingsAccountTest {
    private SavingsAccount sa;

    @Before
    public void setUp() {
        sa = new SavingsAccount(1000);
    }

    @Test
    public void withdrawBalanceTrue() {
        boolean actual = sa.withdrawBalance(100);
        assertTrue(actual);
    }

    @Test
    public void withdrawBalanceFalse() {
        boolean actual = sa.withdrawBalance(2000);
        assertFalse(actual);
    }

    @Test
    public void withdrawBalanceFalseByTooMuchWithdrawals() {
        for (int i = 0; i < 5; i++) {
            sa.withdrawBalance(1);
        }
        boolean actual = sa.withdrawBalance(1);
        assertFalse(actual);
    }
}