package com.zipcodewilmington.bankaccountlab;

import org.junit.Test;

import static org.junit.Assert.*;

public class AccountFactoryTest {

    @Test
    public void getBuisnessAccount() {
       Account ba = AccountFactory.getAccount("Business", 10000);
       assertTrue(ba.getClass() == BusinessAccount.class);
    }

    @Test
    public void getSavingsAccount() {
        Account sa = AccountFactory.getAccount("Savings", 1000);
        assertTrue(sa.getClass() == SavingsAccount.class);
    }

    @Test
    public void getCheckingAccount() {
        Account ca = AccountFactory.getAccount("Checking", 1000);
        assertTrue(ca.getClass() == CheckingAccount.class);
    }
}