package com.zipcodewilmington.bankaccountlab;

import org.junit.Before;
import org.junit.Test;

import static org.junit.Assert.*;

public class CheckingAccountTest {
    private CheckingAccount ca;

    @Before
    public void setUp() {
        ca = new CheckingAccount(1000);
    }

    @Test
    public void constructorTest() {
        assertTrue(ca.getClass() == CheckingAccount.class);
    }

    @Test
    public void withdrawBalanceSuccessTest() {
        boolean actual = ca.withdrawBalance(50);
        assertTrue(actual);
    }

    @Test
    public void withdrawBalanceFailByTest() {
        boolean actual = ca.withdrawBalance(10000);
        assertFalse(actual);
    }

}